# Row Pattern
#
row:
  label: "Row"
  description: "A page row"
  fields:
    title:
      description: "Row title"
      label: Title
      preview: "Lorem Ipsum"
      type: text
    # left column
    left_column:
      type: collection
      label: Left column Web components
      description: Components in the left column
      preview: Left column components
    left_column_content:
      type: collection
      label: Left column Content
      description: Content in the left column
      preview: Left column content
    left_column_views:
      type: collection
      label: Left column Views
      description: Views in the left column
      preview: Left column views
    left_column_blocks:
      type: collection
      label: Left column Blocks
      description: Blocks in the left column
      preview: Left column blocks
    # center column
    main:
      type: collection
      label: Main column Web components
      description: Components in the main column
      preview: Main column components
    main_column_content:
      type: collection
      label: Main column Content
      description: Content in the main column
      preview: Main column content
    main_column_views:
      type: collection
      label: Main column Views
      description: Views in the main column
      preview: Main column views
    main_column_blocks:
      type: collection
      label: Main column Blocks
      description: Blocks in the main column
      preview: Main column blocks
    # right column
    right_column:
      type: collection
      label: Right column Web components
      description: Components in the right column
      preview: Right column components
    right_column_content:
      type: collection
      label: Right column Content
      description: Content in the right column
      preview: Right column content
    right_column_views:
      type: collection
      label: Right column Views
      description: Views in the right column
      preview: Right column views
    right_column_blocks:
      type: collection
      label: Right column Blocks
      description: Blocks in the right column
      preview: Right column blocks
    background:
      description: "Background of the component"
      label: Background paragraph
      type: background
  libraries:
    - row:
        css:
          component:
            css/row.component.css: {}
        js:
          js/row.component.js: {}
  use: "@cern_components/molecules/row/row.html.twig"
